--  Copyright (2008-2013) Cédric Coussinet (cedric.coussinet@nomoseed.net)
--
--  This program is free software: you can redistribute it and/or modify
--  it under the terms of the GNU Affero General Public License as published
--  by the Free Software Foundation, either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
--  GNU Affero General Public License for more details.

--  You should have received a copy of the GNU Affero General Public License
--  along with this program. If not, see <http://www.gnu.org/licenses/>

with Nomo.Internal_Messages.Premises;

package body Nomo.Interpreter.Premises_Index.Arrays.Maximization  is

   use Internal_Messages.Premises;

   function Get_Specificity_Log (This : in Internal_Premises;
                                 I    : in Premise_Index) return Real_Accurately is
   begin
      return This (I).Get_Specificity_Log;
   end Get_Specificity_Log;

   procedure Maximize (This        : in out Internal_Premises;
                       I           : in Premise_Index;
                       Fitting_Nbr : in Count) is
   begin
      This (I).Maximize (Fitting_Nbr);
   end Maximize;

end Nomo.Interpreter.Premises_Index.Arrays.Maximization;
